Skip to main content
PATCH
Update a calendar item

Authorizations

x-api-key
string
header
required

Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.

Headers

X-Idempotency-Key
string
required

Stable caller-chosen key (max 200 chars) making the mutation safely retryable.

Maximum string length: 200

Path Parameters

itemId
string
required

Calendar item id

Body

application/json
scope
enum<string>
default:series
Available options:
series,
occurrence
occurrenceDate
string
caseId
string | null
Required string length: 1 - 200
title
string
Required string length: 1 - 500
description
string
Maximum string length: 10000
startAt
string
endAt
string
isAllDay
boolean
involvesPlaintiff
boolean
assigneeIds
string[]
Maximum array length: 50
Required string length: 1 - 200
followerIds
string[]
Maximum array length: 50
Required string length: 1 - 200
recurrence
object | null

Response

{ success: true, calendarItem }

success
boolean
required
{key}
any